# Get-RASVCenterDatastores.md

## NAME

Get-RASVCenterDatastores

## SYNOPSIS

The cmdlet returns a list of VCenter Datastores.

## SYNTAX

\*\*Get-RASVCenterDatastores \[[ProviderId](#providerid-string)] *(uint)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Get-RASVCenterDatastores \[[TemplateId](#templateid-string)] *(uint)* \[-[TemplateObjType](#TemplateObjType)] {RDSTemplate | VDITemplate | AVDTemplate} \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

The cmdlet returns a list of VCenter Datastores.

## PARAMETERS

## ProviderId (uint)

Provider ID from which to retrieve the VCenter Datastores.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## TemplateId (uint)

Template ID from which to retrieve the VCenter Datastores.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## TemplateObjType

([TemplateObjType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/templateobjtype.md)) Template Type from which to retrieve the VCenter Datastores.

Supported values: RDSTemplate, VDITemplate.

Possible values: RDSTemplate, VDITemplate, AVDTemplate

```
        Required?                    true

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

[VCenterDatastore](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/vcenterdatastore.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Get-RASVCenterDatastores -ProviderId 1

Retrieves a list of Datastores that are available to the specified Provider.\
\*\*---------- EXAMPLE 2 ----------

Get-RASVCenterDatastores -TemplateId 2 -TemplateType RDSTemplate

Retrieves a list of Datastores that are available to the specified Template.

## RELATED LINKS

-none-


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasvcenterdatastores.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
